#pragma once

#include "CoreMinimal.h"
#include "DBDTableRowBaseWithId.h"
#include "EContext.h"
#include "ContextRouteRules.generated.h"

USTRUCT(BlueprintType)
struct FContextRouteRules : public FDBDTableRowBaseWithId
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSet<EContext> WhiteList;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TMap<FString, EContext> Redirections;

public:
	DEADBYDAYLIGHT_API FContextRouteRules();
};

FORCEINLINE uint32 GetTypeHash(const FContextRouteRules) { return 0; }
